Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class AudioFileFormat.Type

    java.lang.Object
      javax.sound.sampled.AudioFileFormat.Type

Enclosing class:
  AudioFileFormat

    public static class AudioFileFormat.Type

extends Object

An instance of the `Type` class represents one of the standard types of audio file. Static instances are provided for the common types.

Field Summary
`static AudioFileFormat.Type` | `AIFC` Specifies an AIFF-C file.
`static AudioFileFormat.Type` | `AIFF` Specifies an AIFF file.
`static AudioFileFormat.Type` | `AU` Specifies an AU file.
`static AudioFileFormat.Type` | `SND` Specifies a SND file.
`static AudioFileFormat.Type` | `WAVE` Specifies a WAVE file.

Constructor Summary
`AudioFileFormat.Type(String name, String extension)` Constructs a file type.

Method Summary
`boolean` | `equals(Object obj)` Finalizes the equals method
`String` | `getExtension()` Obtains the common file name extension for this file type.
`int` | `hashCode()` Finalizes the hashCode method
`String` | `toString()` Provides the file type's name as the `String` representation of the file type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WAVE

    public static final AudioFileFormat.Type WAVE

  Specifies a WAVE file.

### AU

    public static final AudioFileFormat.Type AU

  Specifies an AU file.

### AIFF

    public static final AudioFileFormat.Type AIFF

  Specifies an AIFF file.

### AIFC

    public static final AudioFileFormat.Type AIFC

  Specifies an AIFF-C file.

### SND

    public static final AudioFileFormat.Type SND

  Specifies a SND file.

Constructor Detail

### AudioFileFormat.Type

    public AudioFileFormat.Type(String name,
                                String extension)

  Constructs a file type.

  Parameters:
    `name` - the string that names the file type
    `extension` - the string that commonly marks the file type without leading dot.

Method Detail

### equals

    public final boolean equals(Object obj)

  Finalizes the equals method

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Finalizes the hashCode method

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public final String toString()

  Provides the file type's name as the `String` representation of the file type.

  Overrides:
    `toString` in class `Object`
  Returns:
    the file type's name

### getExtension

    public String getExtension()

  Obtains the common file name extension for this file type.

  Returns:
    file type extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.